class Samplesize

  require 'fiddle/import'

  module Libm
    extend Fiddle::Importer
    dlload '/Library/WebServer/smart/lib/libsamplesize.dylib'
    extern 'long Calculate(long, double, double, char*)'
  end

  
  def compute

  require 'fiddle'
      errmsg = "                                                                                "  
      puts "before call external library"
      puts Libm.Calculate( 1000, 0.2, 0.9, errmsg)
  end

end
